# Class VulkanMissingRequiredVersionException

java.lang.Object
java.lang.Throwable
java.lang.Exception
com.io7m.jcoronado.api.VulkanException
com.io7m.jcoronado.api.VulkanMissingRequiredVersionException

All Implemented Interfaces:
  `com.io7m.seltzer.api.SStructuredErrorExceptionType<String>, com.io7m.seltzer.api.SStructuredErrorType<String>, Serializable`

public final class VulkanMissingRequiredVersionException extends VulkanException
An exception raised by the Vulkan version not being supported.

See Also:
  - Serialized Form

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `VulkanMissingRequiredVersionException(VulkanVersion inRequested, VulkanVersion inRequired, VulkanVersion inSupported)`
  An exception raised by the Vulkan version not being supported.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `VulkanVersion`
  `requested()`
  `VulkanVersion`
  `required()`
  `VulkanVersion`
  `supported()`

  ### Methods inherited from class VulkanException

  `attributes, errorCode, exception, remediatingAction`

  ### Methods inherited from class Throwable

  `addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

  ### Methods inherited from class Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

  ### Methods inherited from interface com.io7m.seltzer.api.SStructuredErrorExceptionType

  `getMessage, message`

- ## Constructor Details

  - ### VulkanMissingRequiredVersionException

    public VulkanMissingRequiredVersionException(VulkanVersion inRequested, VulkanVersion inRequired, VulkanVersion inSupported)
    An exception raised by the Vulkan version not being supported.
    Parameters:
      `inRequested` - The requested version
      `inRequired` - The required version
      `inSupported` - The supported version

- ## Method Details

  - ### requested

    public VulkanVersion requested()
    Returns:
      The requested version

  - ### required

    public VulkanVersion required()
    Returns:
      The required version

  - ### supported

    public VulkanVersion supported()
    Returns:
      The supported version